--- a/drivers/pcmcia/i82365.c
+++ b/drivers/pcmcia/i82365.c
@@ -771,360 +789,425 @@ static struct pnp_dev *i82365_pnpdev;
 
 static void __init isa_probe(void)
 {
-    int i, j, sock, k, ns, id;
-    kio_addr_t port;
+	int i, j, sock, k, ns, id;
+	kio_addr_t port;
 #ifdef CONFIG_PNP
-    struct isapnp_device_id *devid;
-    struct pnp_dev *dev;
-
-    for (devid = id_table; devid->vendor; devid++) {
-	if ((dev = pnp_find_dev(NULL, devid->vendor, devid->function, NULL))) {
-	
-	    if (pnp_device_attach(dev) < 0)
-	    	continue;
-
-	    if (pnp_activate_dev(dev) < 0) {
-		printk("activate failed\n");
-		pnp_device_detach(dev);
-		break;
-	    }
+	struct isapnp_device_id *devid;
+	struct pnp_dev *dev;
 
-	    if (!pnp_port_valid(dev, 0)) {
-		printk("invalid resources ?\n");
-		pnp_device_detach(dev);
-		break;
-	    }
-	    i365_base = pnp_port_start(dev, 0);
-	    i82365_pnpdev = dev;
-	    break;
+	for (devid = id_table; devid->vendor; devid++) {
+		if ((dev =
+		     pnp_find_dev(NULL, devid->vendor, devid->function,
+				  NULL))) {
+
+			if (pnp_device_attach(dev) < 0)
+				continue;
+
+			if (pnp_activate_dev(dev) < 0) {
+				printk("activate failed\n");
+				pnp_device_detach(dev);
+				break;
+			}
+
+			if (!pnp_port_valid(dev, 0)) {
+				printk("invalid resources ?\n");
+				pnp_device_detach(dev);
+				break;
+			}
+			i365_base = pnp_port_start(dev, 0);
+			i82365_pnpdev = dev;
+			break;
+		}
 	}
-    }
 #endif
 
-    if (!request_region(i365_base, 2, "i82365")) {
-	if (sockets == 0)
-	    printk("port conflict at %#lx\n", i365_base);
-	return;
-    }
-
-    id = identify(i365_base, 0);
-    if ((id == IS_I82365DF) && (identify(i365_base, 1) != id)) {
-	for (i = 0; i < 4; i++) {
-	    if (i == ignore) continue;
-	    port = i365_base + ((i & 1) << 2) + ((i & 2) << 1);
-	    sock = (i & 1) << 1;
-	    if (identify(port, sock) == IS_I82365DF) {
-		add_socket(port, sock, IS_VLSI);
-		add_pcic(1, IS_VLSI);
-	    }
-	}
-    } else {
-	for (i = 0; i < 8; i += 2) {
-	    if (sockets && !extra_sockets && (i == 4))
-		break;
-	    port = i365_base + 2*(i>>2);
-	    sock = (i & 3);
-	    id = identify(port, sock);
-	    if (id < 0) continue;
-
-	    for (j = ns = 0; j < 2; j++) {
-		/* Does the socket exist? */
-		if ((ignore == i+j) || (identify(port, sock+j) < 0))
-		    continue;
-		/* Check for bad socket decode */
-		for (k = 0; k <= sockets; k++)
-		    i365_set(k, I365_MEM(0)+I365_W_OFF, k);
-		for (k = 0; k <= sockets; k++)
-		    if (i365_get(k, I365_MEM(0)+I365_W_OFF) != k)
-			break;
-		if (k <= sockets) break;
-		add_socket(port, sock+j, id); ns++;
-	    }
-	    if (ns != 0) add_pcic(ns, id);
+	if (!request_region(i365_base, 2, "i82365")) {
+		if (sockets == 0)
+			printk("port conflict at %#lx\n", i365_base);
+		return;
+	}
+
+	id = identify(i365_base, 0);
+	if ((id == IS_I82365DF) && (identify(i365_base, 1) != id)) {
+		for (i = 0; i < 4; i++) {
+			if (i == ignore)
+				continue;
+			port = i365_base + ((i & 1) << 2) + ((i & 2) << 1);
+			sock = (i & 1) << 1;
+			if (identify(port, sock) == IS_I82365DF) {
+				add_socket(port, sock, IS_VLSI);
+				add_pcic(1, IS_VLSI);
+			}
+		}
+	} else {
+		for (i = 0; i < 8; i += 2) {
+			if (sockets && !extra_sockets && (i == 4))
+				break;
+			port = i365_base + 2 * (i >> 2);
+			sock = (i & 3);
+			id = identify(port, sock);
+			if (id < 0)
+				continue;
+
+			for (j = ns = 0; j < 2; j++) {
+				/* Does the socket exist? */
+				if ((ignore == i + j)
+				    || (identify(port, sock + j) < 0))
+					continue;
+				/* Check for bad socket decode */
+				for (k = 0; k <= sockets; k++)
+					i365_set(k, I365_MEM(0) + I365_W_OFF,
+						 k);
+				for (k = 0; k <= sockets; k++)
+					if (i365_get
+					    (k, I365_MEM(0) + I365_W_OFF) != k)
+						break;
+				if (k <= sockets)
+					break;
+				add_socket(port, sock + j, id);
+				ns++;
+			}
+			if (ns != 0)
+				add_pcic(ns, id);
+		}
 	}
-    }
 }
 
 /*====================================================================*/
 
-static irqreturn_t pcic_interrupt(int irq, void *dev,
-				    struct pt_regs *regs)
+static irqreturn_t pcic_interrupt(int irq, void *dev, struct pt_regs *regs)
 {
-    int i, j, csc;
-    u_int events, active;
-    u_long flags = 0;
-    int handled = 0;
-
-    debug(4, "pcic_interrupt(%d)\n", irq);
-
-    for (j = 0; j < 20; j++) {
-	active = 0;
-	for (i = 0; i < sockets; i++) {
-	    if (socket[i].cs_irq != irq)
-		continue;
-	    handled = 1;
-	    ISA_LOCK(i, flags);
-	    csc = i365_get(i, I365_CSC);
-	    if ((csc == 0) || (i365_get(i, I365_IDENT) & 0x70)) {
-		ISA_UNLOCK(i, flags);
-		continue;
-	    }
-	    events = (csc & I365_CSC_DETECT) ? SS_DETECT : 0;
-
-	    if (i365_get(i, I365_INTCTL) & I365_PC_IOCARD)
-		events |= (csc & I365_CSC_STSCHG) ? SS_STSCHG : 0;
-	    else {
-		events |= (csc & I365_CSC_BVD1) ? SS_BATDEAD : 0;
-		events |= (csc & I365_CSC_BVD2) ? SS_BATWARN : 0;
-		events |= (csc & I365_CSC_READY) ? SS_READY : 0;
-	    }
-	    ISA_UNLOCK(i, flags);
-	    debug(2, "socket %d event 0x%02x\n", i, events);
-
-	    if (events)
-		pcmcia_parse_events(&socket[i].socket, events);
-
-	    active |= events;
-	}
-	if (!active) break;
-    }
-    if (j == 20)
-	printk(KERN_NOTICE "i82365: infinite loop in interrupt handler\n");
-
-    debug(4, "interrupt done\n");
-    return IRQ_RETVAL(handled);
-} /* pcic_interrupt */
+	int i, j, csc;
+	u_int events, active;
+	u_long flags = 0;
+	int handled = 0;
+
+	debug(4, "pcic_interrupt(%d)\n", irq);
+
+	for (j = 0; j < 20; j++) {
+		active = 0;
+		for (i = 0; i < sockets; i++) {
+			if (socket[i].cs_irq != irq)
+				continue;
+			handled = 1;
+			ISA_LOCK(i, flags);
+			csc = i365_get(i, I365_CSC);
+			if ((csc == 0) || (i365_get(i, I365_IDENT) & 0x70)) {
+				ISA_UNLOCK(i, flags);
+				continue;
+			}
+			events = (csc & I365_CSC_DETECT) ? SS_DETECT : 0;
+
+			if (i365_get(i, I365_INTCTL) & I365_PC_IOCARD)
+				events |=
+				    (csc & I365_CSC_STSCHG) ? SS_STSCHG : 0;
+			else {
+				events |=
+				    (csc & I365_CSC_BVD1) ? SS_BATDEAD : 0;
+				events |=
+				    (csc & I365_CSC_BVD2) ? SS_BATWARN : 0;
+				events |= (csc & I365_CSC_READY) ? SS_READY : 0;
+			}
+			ISA_UNLOCK(i, flags);
+			debug(2, "socket %d event 0x%02x\n", i, events);
+
+			if (events)
+				pcmcia_parse_events(&socket[i].socket, events);
+
+			active |= events;
+		}
+		if (!active)
+			break;
+	}
+	if (j == 20)
+		printk(KERN_NOTICE
+		       "i82365: infinite loop in interrupt handler\n");
+
+	debug(4, "interrupt done\n");
+	return IRQ_RETVAL(handled);
+}				/* pcic_interrupt */
 
 static void pcic_interrupt_wrapper(u_long data)
 {
-    pcic_interrupt(0, NULL, NULL);
-    poll_timer.expires = jiffies + poll_interval;
-    add_timer(&poll_timer);
+	pcic_interrupt(0, NULL, NULL);
+	poll_timer.expires = jiffies + poll_interval;
+	add_timer(&poll_timer);
 }
 
 /*====================================================================*/
 
-static int i365_get_status(u_short sock, u_int *value)
+static int i365_get_status(u_short sock, u_int * value)
 {
-    u_int status;
-    
-    status = i365_get(sock, I365_STATUS);
-    *value = ((status & I365_CS_DETECT) == I365_CS_DETECT)
-	? SS_DETECT : 0;
-	
-    if (i365_get(sock, I365_INTCTL) & I365_PC_IOCARD)
-	*value |= (status & I365_CS_STSCHG) ? 0 : SS_STSCHG;
-    else {
-	*value |= (status & I365_CS_BVD1) ? 0 : SS_BATDEAD;
-	*value |= (status & I365_CS_BVD2) ? 0 : SS_BATWARN;
-    }
-    *value |= (status & I365_CS_WRPROT) ? SS_WRPROT : 0;
-    *value |= (status & I365_CS_READY) ? SS_READY : 0;
-    *value |= (status & I365_CS_POWERON) ? SS_POWERON : 0;
-
-    if (socket[sock].type == IS_VG469) {
-	status = i365_get(sock, VG469_VSENSE);
-	if (socket[sock].psock & 1) {
-	    *value |= (status & VG469_VSENSE_B_VS1) ? 0 : SS_3VCARD;
-	    *value |= (status & VG469_VSENSE_B_VS2) ? 0 : SS_XVCARD;
-	} else {
-	    *value |= (status & VG469_VSENSE_A_VS1) ? 0 : SS_3VCARD;
-	    *value |= (status & VG469_VSENSE_A_VS2) ? 0 : SS_XVCARD;
+	u_int status;
+
+	status = i365_get(sock, I365_STATUS);
+	*value = ((status & I365_CS_DETECT) == I365_CS_DETECT)
+	    ? SS_DETECT : 0;
+
+	if (i365_get(sock, I365_INTCTL) & I365_PC_IOCARD)
+		*value |= (status & I365_CS_STSCHG) ? 0 : SS_STSCHG;
+	else {
+		*value |= (status & I365_CS_BVD1) ? 0 : SS_BATDEAD;
+		*value |= (status & I365_CS_BVD2) ? 0 : SS_BATWARN;
+	}
+	*value |= (status & I365_CS_WRPROT) ? SS_WRPROT : 0;
+	*value |= (status & I365_CS_READY) ? SS_READY : 0;
+	*value |= (status & I365_CS_POWERON) ? SS_POWERON : 0;
+
+	if (socket[sock].type == IS_VG469) {
+		status = i365_get(sock, VG469_VSENSE);
+		if (socket[sock].psock & 1) {
+			*value |= (status & VG469_VSENSE_B_VS1) ? 0 : SS_3VCARD;
+			*value |= (status & VG469_VSENSE_B_VS2) ? 0 : SS_XVCARD;
+		} else {
+			*value |= (status & VG469_VSENSE_A_VS1) ? 0 : SS_3VCARD;
+			*value |= (status & VG469_VSENSE_A_VS2) ? 0 : SS_XVCARD;
+		}
 	}
-    }
-    
-    debug(1, "GetStatus(%d) = %#4.4x\n", sock, *value);
-    return 0;
-} /* i365_get_status */
+
+	debug(1, "GetStatus(%d) = %#4.4x\n", sock, *value);
+	return 0;
+}				/* i365_get_status */
 
 /*====================================================================*/
 
-static int i365_set_socket(u_short sock, socket_state_t *state)
+static int i365_set_socket(u_short sock, socket_state_t * state)
 {
-    struct i82365_socket *t = &socket[sock];
-    u_char reg;
-    
-    debug(1, "SetSocket(%d, flags %#3.3x, Vcc %d, Vpp %d, "
-	  "io_irq %d, csc_mask %#2.2x)\n", sock, state->flags,
-	  state->Vcc, state->Vpp, state->io_irq, state->csc_mask);
-    
-    /* First set global controller options */
-    set_bridge_state(sock);
-    
-    /* IO card, RESET flag, IO interrupt */
-    reg = t->intr;
-    reg |= state->io_irq;
-    reg |= (state->flags & SS_RESET) ? 0 : I365_PC_RESET;
-    reg |= (state->flags & SS_IOCARD) ? I365_PC_IOCARD : 0;
-    i365_set(sock, I365_INTCTL, reg);
-    
-    reg = I365_PWR_NORESET;
-    if (state->flags & SS_PWR_AUTO) reg |= I365_PWR_AUTO;
-    if (state->flags & SS_OUTPUT_ENA) reg |= I365_PWR_OUT;
-
-    if (t->flags & IS_CIRRUS) {
-	if (state->Vpp != 0) {
-	    if (state->Vpp == 120)
-		reg |= I365_VPP1_12V;
-	    else if (state->Vpp == state->Vcc)
-		reg |= I365_VPP1_5V;
-	    else return -EINVAL;
-	}
-	if (state->Vcc != 0) {
-	    reg |= I365_VCC_5V;
-	    if (state->Vcc == 33)
-		i365_bset(sock, PD67_MISC_CTL_1, PD67_MC1_VCC_3V);
-	    else if (state->Vcc == 50)
-		i365_bclr(sock, PD67_MISC_CTL_1, PD67_MC1_VCC_3V);
-	    else return -EINVAL;
-	}
-    } else if (t->flags & IS_VG_PWR) {
-	if (state->Vpp != 0) {
-	    if (state->Vpp == 120)
-		reg |= I365_VPP1_12V;
-	    else if (state->Vpp == state->Vcc)
-		reg |= I365_VPP1_5V;
-	    else return -EINVAL;
-	}
-	if (state->Vcc != 0) {
-	    reg |= I365_VCC_5V;
-	    if (state->Vcc == 33)
-		i365_bset(sock, VG469_VSELECT, VG469_VSEL_VCC);
-	    else if (state->Vcc == 50)
-		i365_bclr(sock, VG469_VSELECT, VG469_VSEL_VCC);
-	    else return -EINVAL;
-	}
-    } else if (t->flags & IS_DF_PWR) {
-	switch (state->Vcc) {
-	case 0:		break;
-	case 33:   	reg |= I365_VCC_3V; break;
-	case 50:	reg |= I365_VCC_5V; break;
-	default:	return -EINVAL;
-	}
-	switch (state->Vpp) {
-	case 0:		break;
-	case 50:   	reg |= I365_VPP1_5V; break;
-	case 120:	reg |= I365_VPP1_12V; break;
-	default:	return -EINVAL;
-	}
-    } else {
-	switch (state->Vcc) {
-	case 0:		break;
-	case 50:	reg |= I365_VCC_5V; break;
-	default:	return -EINVAL;
-	}
-	switch (state->Vpp) {
-	case 0:		break;
-	case 50:	reg |= I365_VPP1_5V | I365_VPP2_5V; break;
-	case 120:	reg |= I365_VPP1_12V | I365_VPP2_12V; break;
-	default:	return -EINVAL;
+	struct i82365_socket *t = &socket[sock];
+	u_char reg;
+
+	debug(1, "SetSocket(%d, flags %#3.3x, Vcc %d, Vpp %d, "
+	      "io_irq %d, csc_mask %#2.2x)\n", sock, state->flags,
+	      state->Vcc, state->Vpp, state->io_irq, state->csc_mask);
+
+	/* First set global controller options */
+	set_bridge_state(sock);
+
+	/* IO card, RESET flag, IO interrupt */
+	reg = t->intr;
+	reg |= state->io_irq;
+	reg |= (state->flags & SS_RESET) ? 0 : I365_PC_RESET;
+	reg |= (state->flags & SS_IOCARD) ? I365_PC_IOCARD : 0;
+	i365_set(sock, I365_INTCTL, reg);
+
+	reg = I365_PWR_NORESET;
+	if (state->flags & SS_PWR_AUTO)
+		reg |= I365_PWR_AUTO;
+	if (state->flags & SS_OUTPUT_ENA)
+		reg |= I365_PWR_OUT;
+
+	if (t->flags & IS_CIRRUS) {
+		if (state->Vpp != 0) {
+			if (state->Vpp == 120)
+				reg |= I365_VPP1_12V;
+			else if (state->Vpp == state->Vcc)
+				reg |= I365_VPP1_5V;
+			else
+				return -EINVAL;
+		}
+		if (state->Vcc != 0) {
+			reg |= I365_VCC_5V;
+			if (state->Vcc == 33)
+				i365_bset(sock, PD67_MISC_CTL_1,
+					  PD67_MC1_VCC_3V);
+			else if (state->Vcc == 50)
+				i365_bclr(sock, PD67_MISC_CTL_1,
+					  PD67_MC1_VCC_3V);
+			else
+				return -EINVAL;
+		}
+	} else if (t->flags & IS_VG_PWR) {
+		if (state->Vpp != 0) {
+			if (state->Vpp == 120)
+				reg |= I365_VPP1_12V;
+			else if (state->Vpp == state->Vcc)
+				reg |= I365_VPP1_5V;
+			else
+				return -EINVAL;
+		}
+		if (state->Vcc != 0) {
+			reg |= I365_VCC_5V;
+			if (state->Vcc == 33)
+				i365_bset(sock, VG469_VSELECT, VG469_VSEL_VCC);
+			else if (state->Vcc == 50)
+				i365_bclr(sock, VG469_VSELECT, VG469_VSEL_VCC);
+			else
+				return -EINVAL;
+		}
+	} else if (t->flags & IS_DF_PWR) {
+		switch (state->Vcc) {
+		case 0:
+			break;
+		case 33:
+			reg |= I365_VCC_3V;
+			break;
+		case 50:
+			reg |= I365_VCC_5V;
+			break;
+		default:
+			return -EINVAL;
+		}
+		switch (state->Vpp) {
+		case 0:
+			break;
+		case 50:
+			reg |= I365_VPP1_5V;
+			break;
+		case 120:
+			reg |= I365_VPP1_12V;
+			break;
+		default:
+			return -EINVAL;
+		}
+	} else {
+		switch (state->Vcc) {
+		case 0:
+			break;
+		case 50:
+			reg |= I365_VCC_5V;
+			break;
+		default:
+			return -EINVAL;
+		}
+		switch (state->Vpp) {
+		case 0:
+			break;
+		case 50:
+			reg |= I365_VPP1_5V | I365_VPP2_5V;
+			break;
+		case 120:
+			reg |= I365_VPP1_12V | I365_VPP2_12V;
+			break;
+		default:
+			return -EINVAL;
+		}
+	}
+
+	if (reg != i365_get(sock, I365_POWER))
+		i365_set(sock, I365_POWER, reg);
+
+	/* Chipset-specific functions */
+	if (t->flags & IS_CIRRUS) {
+		/* Speaker control */
+		i365_bflip(sock, PD67_MISC_CTL_1, PD67_MC1_SPKR_ENA,
+			   state->flags & SS_SPKR_ENA);
+	}
+
+	/* Card status change interrupt mask */
+	reg = t->cs_irq << 4;
+	if (state->csc_mask & SS_DETECT)
+		reg |= I365_CSC_DETECT;
+	if (state->flags & SS_IOCARD) {
+		if (state->csc_mask & SS_STSCHG)
+			reg |= I365_CSC_STSCHG;
+	} else {
+		if (state->csc_mask & SS_BATDEAD)
+			reg |= I365_CSC_BVD1;
+		if (state->csc_mask & SS_BATWARN)
+			reg |= I365_CSC_BVD2;
+		if (state->csc_mask & SS_READY)
+			reg |= I365_CSC_READY;
 	}
-    }
-    
-    if (reg != i365_get(sock, I365_POWER))
-	i365_set(sock, I365_POWER, reg);
+	i365_set(sock, I365_CSCINT, reg);
+	i365_get(sock, I365_CSC);
 
-    /* Chipset-specific functions */
-    if (t->flags & IS_CIRRUS) {
-	/* Speaker control */
-	i365_bflip(sock, PD67_MISC_CTL_1, PD67_MC1_SPKR_ENA,
-		   state->flags & SS_SPKR_ENA);
-    }
-    
-    /* Card status change interrupt mask */
-    reg = t->cs_irq << 4;
-    if (state->csc_mask & SS_DETECT) reg |= I365_CSC_DETECT;
-    if (state->flags & SS_IOCARD) {
-	if (state->csc_mask & SS_STSCHG) reg |= I365_CSC_STSCHG;
-    } else {
-	if (state->csc_mask & SS_BATDEAD) reg |= I365_CSC_BVD1;
-	if (state->csc_mask & SS_BATWARN) reg |= I365_CSC_BVD2;
-	if (state->csc_mask & SS_READY) reg |= I365_CSC_READY;
-    }
-    i365_set(sock, I365_CSCINT, reg);
-    i365_get(sock, I365_CSC);
-    
-    return 0;
-} /* i365_set_socket */
+	return 0;
+}				/* i365_set_socket */
 
 /*====================================================================*/
 
 static int i365_set_io_map(u_short sock, struct pccard_io_map *io)
 {
-    u_char map, ioctl;
-    
-    debug(1, "SetIOMap(%d, %d, %#2.2x, %d ns, "
-	  "%#lx-%#lx)\n", sock, io->map, io->flags,
-	  io->speed, io->start, io->stop);
-    map = io->map;
-    if ((map > 1) || (io->start > 0xffff) || (io->stop > 0xffff) ||
-	(io->stop < io->start)) return -EINVAL;
-    /* Turn off the window before changing anything */
-    if (i365_get(sock, I365_ADDRWIN) & I365_ENA_IO(map))
-	i365_bclr(sock, I365_ADDRWIN, I365_ENA_IO(map));
-    i365_set_pair(sock, I365_IO(map)+I365_W_START, io->start);
-    i365_set_pair(sock, I365_IO(map)+I365_W_STOP, io->stop);
-    ioctl = i365_get(sock, I365_IOCTL) & ~I365_IOCTL_MASK(map);
-    if (io->speed) ioctl |= I365_IOCTL_WAIT(map);
-    if (io->flags & MAP_0WS) ioctl |= I365_IOCTL_0WS(map);
-    if (io->flags & MAP_16BIT) ioctl |= I365_IOCTL_16BIT(map);
-    if (io->flags & MAP_AUTOSZ) ioctl |= I365_IOCTL_IOCS16(map);
-    i365_set(sock, I365_IOCTL, ioctl);
-    /* Turn on the window if necessary */
-    if (io->flags & MAP_ACTIVE)
-	i365_bset(sock, I365_ADDRWIN, I365_ENA_IO(map));
-    return 0;
-} /* i365_set_io_map */
+	u_char map, ioctl;
+
+	debug(1, "SetIOMap(%d, %d, %#2.2x, %d ns, "
+	      "%#lx-%#lx)\n", sock, io->map, io->flags,
+	      io->speed, io->start, io->stop);
+	map = io->map;
+	if ((map > 1) || (io->start > 0xffff) || (io->stop > 0xffff) ||
+	    (io->stop < io->start))
+		return -EINVAL;
+	/* Turn off the window before changing anything */
+	if (i365_get(sock, I365_ADDRWIN) & I365_ENA_IO(map))
+		i365_bclr(sock, I365_ADDRWIN, I365_ENA_IO(map));
+	i365_set_pair(sock, I365_IO(map) + I365_W_START, io->start);
+	i365_set_pair(sock, I365_IO(map) + I365_W_STOP, io->stop);
+	ioctl = i365_get(sock, I365_IOCTL) & ~I365_IOCTL_MASK(map);
+	if (io->speed)
+		ioctl |= I365_IOCTL_WAIT(map);
+	if (io->flags & MAP_0WS)
+		ioctl |= I365_IOCTL_0WS(map);
+	if (io->flags & MAP_16BIT)
+		ioctl |= I365_IOCTL_16BIT(map);
+	if (io->flags & MAP_AUTOSZ)
+		ioctl |= I365_IOCTL_IOCS16(map);
+	i365_set(sock, I365_IOCTL, ioctl);
+	/* Turn on the window if necessary */
+	if (io->flags & MAP_ACTIVE)
+		i365_bset(sock, I365_ADDRWIN, I365_ENA_IO(map));
+	return 0;
+}				/* i365_set_io_map */
 
 /*====================================================================*/
 
 static int i365_set_mem_map(u_short sock, struct pccard_mem_map *mem)
 {
-    u_short base, i;
-    u_char map;
-    
-    debug(1, "SetMemMap(%d, %d, %#2.2x, %d ns, %#lx-%#lx, "
-	  "%#x)\n", sock, mem->map, mem->flags, mem->speed,
-	  mem->res->start, mem->res->end, mem->card_start);
-
-    map = mem->map;
-    if ((map > 4) || (mem->card_start > 0x3ffffff) ||
-	(mem->res->start > mem->res->end) || (mem->speed > 1000))
-	return -EINVAL;
-    if ((mem->res->start > 0xffffff) || (mem->res->end > 0xffffff))
-	return -EINVAL;
-	
-    /* Turn off the window before changing anything */
-    if (i365_get(sock, I365_ADDRWIN) & I365_ENA_MEM(map))
-	i365_bclr(sock, I365_ADDRWIN, I365_ENA_MEM(map));
-    
-    base = I365_MEM(map);
-    i = (mem->res->start >> 12) & 0x0fff;
-    if (mem->flags & MAP_16BIT) i |= I365_MEM_16BIT;
-    if (mem->flags & MAP_0WS) i |= I365_MEM_0WS;
-    i365_set_pair(sock, base+I365_W_START, i);
-    
-    i = (mem->res->end >> 12) & 0x0fff;
-    switch (to_cycles(mem->speed)) {
-    case 0:	break;
-    case 1:	i |= I365_MEM_WS0; break;
-    case 2:	i |= I365_MEM_WS1; break;
-    default:	i |= I365_MEM_WS1 | I365_MEM_WS0; break;
-    }
-    i365_set_pair(sock, base+I365_W_STOP, i);
-    
-    i = ((mem->card_start - mem->res->start) >> 12) & 0x3fff;
-    if (mem->flags & MAP_WRPROT) i |= I365_MEM_WRPROT;
-    if (mem->flags & MAP_ATTRIB) i |= I365_MEM_REG;
-    i365_set_pair(sock, base+I365_W_OFF, i);
-    
-    /* Turn on the window if necessary */
-    if (mem->flags & MAP_ACTIVE)
-	i365_bset(sock, I365_ADDRWIN, I365_ENA_MEM(map));
-    return 0;
-} /* i365_set_mem_map */
+	u_short base, i;
+	u_char map;
 
-#if 0 /* driver model ordering issue */
+	debug(1, "SetMemMap(%d, %d, %#2.2x, %d ns, %#lx-%#lx, "
+	      "%#x)\n", sock, mem->map, mem->flags, mem->speed,
+	      mem->res->start, mem->res->end, mem->card_start);
+
+	map = mem->map;
+	if ((map > 4) || (mem->card_start > 0x3ffffff) ||
+	    (mem->res->start > mem->res->end) || (mem->speed > 1000))
+		return -EINVAL;
+	if ((mem->res->start > 0xffffff) || (mem->res->end > 0xffffff))
+		return -EINVAL;
+
+	/* Turn off the window before changing anything */
+	if (i365_get(sock, I365_ADDRWIN) & I365_ENA_MEM(map))
+		i365_bclr(sock, I365_ADDRWIN, I365_ENA_MEM(map));
+
+	base = I365_MEM(map);
+	i = (mem->res->start >> 12) & 0x0fff;
+	if (mem->flags & MAP_16BIT)
+		i |= I365_MEM_16BIT;
+	if (mem->flags & MAP_0WS)
+		i |= I365_MEM_0WS;
+	i365_set_pair(sock, base + I365_W_START, i);
+
+	i = (mem->res->end >> 12) & 0x0fff;
+	switch (to_cycles(mem->speed)) {
+	case 0:
+		break;
+	case 1:
+		i |= I365_MEM_WS0;
+		break;
+	case 2:
+		i |= I365_MEM_WS1;
+		break;
+	default:
+		i |= I365_MEM_WS1 | I365_MEM_WS0;
+		break;
+	}
+	i365_set_pair(sock, base + I365_W_STOP, i);
+
+	i = ((mem->card_start - mem->res->start) >> 12) & 0x3fff;
+	if (mem->flags & MAP_WRPROT)
+		i |= I365_MEM_WRPROT;
+	if (mem->flags & MAP_ATTRIB)
+		i |= I365_MEM_REG;
+	i365_set_pair(sock, base + I365_W_OFF, i);
+
+	/* Turn on the window if necessary */
+	if (mem->flags & MAP_ACTIVE)
+		i365_bset(sock, I365_ADDRWIN, I365_ENA_MEM(map));
+	return 0;
+}				/* i365_set_mem_map */
+
+#if 0				/* driver model ordering issue */
 /*======================================================================
 
     Routines for accessing socket information and register dumps via
@@ -1134,14 +1217,16 @@ static int i365_set_mem_map(u_short sock
 
 static ssize_t show_info(struct class_device *class_dev, char *buf)
 {
-	struct i82365_socket *s = container_of(class_dev, struct i82365_socket, socket.dev);
-	return sprintf(buf, "type:     %s\npsock:    %d\n",
-		       pcic[s->type].name, s->psock);
+	struct i82365_socket *s =
+	    container_of(class_dev, struct i82365_socket, socket.dev);
+	return sprintf(buf, "type:     %s\npsock:    %d\n", pcic[s->type].name,
+		       s->psock);
 }
 
 static ssize_t show_exca(struct class_device *class_dev, char *buf)
 {
-	struct i82365_socket *s = container_of(class_dev, struct i82365_socket, socket.dev);
+	struct i82365_socket *s =
+	    container_of(class_dev, struct i82365_socket, socket.dev);
 	unsigned short sock;
 	int i;
 	ssize_t ret = 0;
@@ -1152,8 +1237,8 @@ static ssize_t show_exca(struct class_de
 	ISA_LOCK(sock, flags);
 	for (i = 0; i < 0x40; i += 4) {
 		ret += sprintf(buf, "%02x %02x %02x %02x%s",
-			       i365_get(sock,i), i365_get(sock,i+1),
-			       i365_get(sock,i+2), i365_get(sock,i+3),
+			       i365_get(sock, i), i365_get(sock, i + 1),
+			       i365_get(sock, i + 2), i365_get(sock, i + 3),
 			       ((i % 16) == 12) ? "\n" : " ");
 		buf += ret;
 	}
@@ -1178,11 +1263,11 @@ static CLASS_DEVICE_ATTR(info, S_IRUGO, 
 	spin_unlock_irqrestore(&isa_lock, flags); \
 	return retval; \
 } while (0)
-	
 
-static int pcic_get_status(struct pcmcia_socket *s, u_int *value)
+static int pcic_get_status(struct pcmcia_socket *s, u_int * value)
 {
-	unsigned int sock = container_of(s, struct i82365_socket, socket)->number;
+	unsigned int sock =
+	    container_of(s, struct i82365_socket, socket)->number;
 
 	if (socket[sock].flags & IS_ALIVE) {
 		*value = 0;
@@ -1192,9 +1277,10 @@ static int pcic_get_status(struct pcmcia
 	LOCKED(i365_get_status(sock, value));
 }
 
-static int pcic_set_socket(struct pcmcia_socket *s, socket_state_t *state)
+static int pcic_set_socket(struct pcmcia_socket *s, socket_state_t * state)
 {
-	unsigned int sock = container_of(s, struct i82365_socket, socket)->number;
+	unsigned int sock =
+	    container_of(s, struct i82365_socket, socket)->number;
 
 	if (socket[sock].flags & IS_ALIVE)
 		return -EINVAL;
@@ -1204,7 +1290,8 @@ static int pcic_set_socket(struct pcmcia
 
 static int pcic_set_io_map(struct pcmcia_socket *s, struct pccard_io_map *io)
 {
-	unsigned int sock = container_of(s, struct i82365_socket, socket)->number;
+	unsigned int sock =
+	    container_of(s, struct i82365_socket, socket)->number;
 	if (socket[sock].flags & IS_ALIVE)
 		return -EINVAL;
 
@@ -1213,7 +1300,8 @@ static int pcic_set_io_map(struct pcmcia
 
 static int pcic_set_mem_map(struct pcmcia_socket *s, struct pccard_mem_map *mem)
 {
-	unsigned int sock = container_of(s, struct i82365_socket, socket)->number;
+	unsigned int sock =
+	    container_of(s, struct i82365_socket, socket)->number;
 	if (socket[sock].flags & IS_ALIVE)
 		return -EINVAL;
 
@@ -1223,9 +1311,9 @@ static int pcic_set_mem_map(struct pcmci
 static int pcic_init(struct pcmcia_socket *s)
 {
 	int i;
-	struct resource res = { .start = 0, .end = 0x1000 };
+	struct resource res = {.start = 0,.end = 0x1000 };
 	pccard_io_map io = { 0, 0, 0, 0, 1 };
-	pccard_mem_map mem = { .res = &res, };
+	pccard_mem_map mem = {.res = &res, };
 
 	for (i = 0; i < 2; i++) {
 		io.map = i;
@@ -1239,11 +1327,11 @@ static int pcic_init(struct pcmcia_socke
 }
 
 static struct pccard_operations pcic_operations = {
-	.init			= pcic_init,
-	.get_status		= pcic_get_status,
-	.set_socket		= pcic_set_socket,
-	.set_io_map		= pcic_set_io_map,
-	.set_mem_map		= pcic_set_mem_map,
+	.init = pcic_init,
+	.get_status = pcic_get_status,
+	.set_socket = pcic_set_socket,
+	.set_io_map = pcic_set_io_map,
+	.set_mem_map = pcic_set_mem_map,
 };
 
 /*====================================================================*/
@@ -1259,99 +1347,100 @@ static struct platform_device *i82365_de
 
 static int __init init_i82365(void)
 {
-    int i, ret;
+	int i, ret;
 
-    ret = driver_register(&i82365_driver);
-    if (ret)
-	return ret;
+	ret = driver_register(&i82365_driver);
+	if (ret)
+		return ret;
 
-    i82365_device = platform_device_alloc("i82365", 0);
-    if (i82365_device) {
-	    ret = platform_device_add(i82365_device);
-	    if (ret)
-		    platform_device_put(i82365_device);
-    } else
-	    ret = -ENOMEM;
+	i82365_device = platform_device_alloc("i82365", 0);
+	if (i82365_device) {
+		ret = platform_device_add(i82365_device);
+		if (ret)
+			platform_device_put(i82365_device);
+	} else
+		ret = -ENOMEM;
 
-    if (ret) {
-	driver_unregister(&i82365_driver);
-	return ret;
-    }
+	if (ret) {
+		driver_unregister(&i82365_driver);
+		return ret;
+	}
 
-    printk(KERN_INFO "Intel ISA PCIC probe: ");
-    sockets = 0;
+	printk(KERN_INFO "Intel ISA PCIC probe: ");
+	sockets = 0;
 
-    isa_probe();
+	isa_probe();
 
-    if (sockets == 0) {
-	printk("not found.\n");
-	platform_device_unregister(i82365_device);
-	release_region(i365_base, 2);
-	driver_unregister(&i82365_driver);
-	return -ENODEV;
-    }
+	if (sockets == 0) {
+		printk("not found.\n");
+		platform_device_unregister(i82365_device);
+		release_region(i365_base, 2);
+		driver_unregister(&i82365_driver);
+		return -ENODEV;
+	}
 
-    /* Set up interrupt handler(s) */
-    if (grab_irq != 0)
-	request_irq(cs_irq, pcic_interrupt, 0, "i82365", pcic_interrupt);
-    
-    /* register sockets with the pcmcia core */
-    for (i = 0; i < sockets; i++) {
-	    socket[i].socket.dev.dev = &i82365_device->dev;
-	    socket[i].socket.ops = &pcic_operations;
-	    socket[i].socket.resource_ops = &pccard_nonstatic_ops;
-	    socket[i].socket.owner = THIS_MODULE;
-	    socket[i].number = i;
-	    ret = pcmcia_register_socket(&socket[i].socket);
-	    if (!ret)
-		    socket[i].flags |= IS_REGISTERED;
-
-#if 0 /* driver model ordering issue */
-	   class_device_create_file(&socket[i].socket.dev,
-			   	    &class_device_attr_info);
-	   class_device_create_file(&socket[i].socket.dev,
-			   	    &class_device_attr_exca);
+	/* Set up interrupt handler(s) */
+	if (grab_irq != 0)
+		request_irq(cs_irq, pcic_interrupt, 0, "i82365",
+			    pcic_interrupt);
+
+	/* register sockets with the pcmcia core */
+	for (i = 0; i < sockets; i++) {
+		socket[i].socket.dev.dev = &i82365_device->dev;
+		socket[i].socket.ops = &pcic_operations;
+		socket[i].socket.resource_ops = &pccard_nonstatic_ops;
+		socket[i].socket.owner = THIS_MODULE;
+		socket[i].number = i;
+		ret = pcmcia_register_socket(&socket[i].socket);
+		if (!ret)
+			socket[i].flags |= IS_REGISTERED;
+
+#if 0				/* driver model ordering issue */
+		class_device_create_file(&socket[i].socket.dev,
+					 &class_device_attr_info);
+		class_device_create_file(&socket[i].socket.dev,
+					 &class_device_attr_exca);
 #endif
-    }
+	}
 
-    /* Finally, schedule a polling interrupt */
-    if (poll_interval != 0) {
-	poll_timer.function = pcic_interrupt_wrapper;
-	poll_timer.data = 0;
-	init_timer(&poll_timer);
-    	poll_timer.expires = jiffies + poll_interval;
-	add_timer(&poll_timer);
-    }
-    
-    return 0;
-    
-} /* init_i82365 */
+	/* Finally, schedule a polling interrupt */
+	if (poll_interval != 0) {
+		poll_timer.function = pcic_interrupt_wrapper;
+		poll_timer.data = 0;
+		init_timer(&poll_timer);
+		poll_timer.expires = jiffies + poll_interval;
+		add_timer(&poll_timer);
+	}
+
+	return 0;
+
+}				/* init_i82365 */
 
 static void __exit exit_i82365(void)
 {
-    int i;
+	int i;
 
-    for (i = 0; i < sockets; i++) {
-	    if (socket[i].flags & IS_REGISTERED)
-		    pcmcia_unregister_socket(&socket[i].socket);
-    }
-    platform_device_unregister(i82365_device);
-    if (poll_interval != 0)
-	del_timer_sync(&poll_timer);
-    if (grab_irq != 0)
-	free_irq(cs_irq, pcic_interrupt);
-    for (i = 0; i < sockets; i++) {
-	/* Turn off all interrupt sources! */
-	i365_set(i, I365_CSCINT, 0);
-	release_region(socket[i].ioaddr, 2);
-    }
-    release_region(i365_base, 2);
+	for (i = 0; i < sockets; i++) {
+		if (socket[i].flags & IS_REGISTERED)
+			pcmcia_unregister_socket(&socket[i].socket);
+	}
+	platform_device_unregister(i82365_device);
+	if (poll_interval != 0)
+		del_timer_sync(&poll_timer);
+	if (grab_irq != 0)
+		free_irq(cs_irq, pcic_interrupt);
+	for (i = 0; i < sockets; i++) {
+		/* Turn off all interrupt sources! */
+		i365_set(i, I365_CSCINT, 0);
+		release_region(socket[i].ioaddr, 2);
+	}
+	release_region(i365_base, 2);
 #ifdef CONFIG_PNP
-    if (i82365_pnpdev)
-    		pnp_disable_dev(i82365_pnpdev);
+	if (i82365_pnpdev)
+		pnp_disable_dev(i82365_pnpdev);
 #endif
-    driver_unregister(&i82365_driver);
-} /* exit_i82365 */
+	driver_unregister(&i82365_driver);
+}				/* exit_i82365 */
 
 module_init(init_i82365);
 module_exit(exit_i82365);
--- a/drivers/rapidio/rio-scan.c
+++ b/drivers/rapidio/rio-scan.c
@@ -298,11 +298,10 @@ static struct rio_dev *rio_setup_device(
 	struct rio_switch *rswitch;
 	int result, rdid;
 
-	rdev = kmalloc(sizeof(struct rio_dev), GFP_KERNEL);
+	rdev = kzalloc(sizeof(struct rio_dev), GFP_KERNEL);
 	if (!rdev)
 		goto out;
 
-	memset(rdev, 0, sizeof(struct rio_dev));
 	rdev->net = net;
 	rio_mport_read_config_32(port, destid, hopcount, RIO_DEV_ID_CAR,
 				 &result);
@@ -785,9 +784,8 @@ static struct rio_net __devinit *rio_all
 {
 	struct rio_net *net;
 
-	net = kmalloc(sizeof(struct rio_net), GFP_KERNEL);
+	net = kzalloc(sizeof(struct rio_net), GFP_KERNEL);
 	if (net) {
-		memset(net, 0, sizeof(struct rio_net));
 		INIT_LIST_HEAD(&net->node);
 		INIT_LIST_HEAD(&net->devices);
 		INIT_LIST_HEAD(&net->mports);
--- a/drivers/s390/net/lcs.c
+++ b/drivers/s390/net/lcs.c
@@ -1638,10 +1638,11 @@ lcs_detect(struct lcs_card *card)
 static int
 lcs_resetcard(struct lcs_card *card)
 {
-	int retries;
+	unsigned long end_time;
 
 	LCS_DBF_TEXT(2, trace, "rescard");
-	for (retries = 0; retries < 10; retries++) {
+	end_time = jiffies + msecs_to_jiffies(30000);
+	while (time_before(jiffies, end_time)) {
 		if (lcs_detect(card) == 0) {
 			netif_wake_queue(card->dev);
 			card->state = DEV_STATE_UP;
